#
# spec file for package oracle-lib-compat
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           oracle-lib-compat
Version:        10.2.0.25
Release:        1.2
Summary:        Compatibility package so that perl-DBD-Oracle will install
Group:          Applications/Multimedia
License:        GPL v2 only
# This src.rpm is cannonical upstream
# You can obtain it using this set of commands
# git clone git://git.fedorahosted.org/git/spacewalk.git/
# cd spec-tree/oracle-lib-compat
# make srpm
Url:            https://fedorahosted.org/spacewalk
Source0:        oracle-lib-compat-git-ff0d51880a359443a44e5a4a952d940ce16065ad.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%ifarch s390 s390x
%define icversion 10.2.0.4
%else
%define icversion 10.2.0.4
%endif

%if 0%{?suse_version}
BuildRequires:  oracle-instantclient-basic = %{icversion}
BuildRequires:  oracle-instantclient-sqlplus = %{icversion}
# execstack
BuildRequires:  prelink
%endif

Requires:       oracle-instantclient-basic = %{icversion}
Requires:       oracle-instantclient-sqlplus = %{icversion}

%if 0%{?suse_version}
Requires(post): prelink
Requires(post): file
Requires(post): findutils
%else
Requires(post): ldconfig
Requires(post): /usr/bin/execstack
Requires(post): /usr/bin/file
Requires(post): /usr/bin/xargs
%endif

%ifarch x86_64
%define lib64 ()(64bit)
%endif
Provides:       libocci.so.10.1%{?lib64}   = %{icversion}
Provides:       libnnz10.so%{?lib64}       = %{icversion}
Provides:       libocijdbc10.so%{?lib64}   = %{icversion}
Provides:       libclntsh.so.10.1%{?lib64} = %{icversion}
Provides:       libociei.so%{?lib64}       = %{icversion}
Provides:       ojdbc14                    = %{icversion}
Obsoletes:      rhn-oracle-jdbc           <= 1.0
Requires:       libstdc++.so.5%{?lib64}

%description
Compatibility package so that perl-DBD-Oracle will install.



%prep
%setup -q -n oracle-lib-compat-git-ff0d51880a359443a44e5a4a952d940ce16065ad

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_javadir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo %{_libdir}/oracle/%{icversion}/client/lib >>$RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/%{name}.conf
# do not replace /usr/lib with _libdir macro here
# XE server is 32bit even on 64bit platforms
echo /usr/lib/oracle/xe/app/oracle/product/10.2.0/server/lib >>$RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%ifarch x86_64 s390x
mkdir -p $RPM_BUILD_ROOT%{_bindir}
#ln -s ../%{_lib}/oracle/%{icversion}/client/bin/sqlplus $RPM_BUILD_ROOT%{_bindir}/sqlplus
ln -s ../lib/oracle/%{icversion}/client64/bin/sqlplus $RPM_BUILD_ROOT%{_bindir}/sqlplus

mkdir -p $RPM_BUILD_ROOT%{_libdir}/oracle/%{icversion}
ln -s ../../../lib/oracle/%{icversion}/client64 $RPM_BUILD_ROOT%{_libdir}/oracle/%{icversion}/client
ln -s ../../lib/oracle/%{icversion}/client64/lib/ojdbc14.jar $RPM_BUILD_ROOT/%{_javadir}/ojdbc14.jar

%else
ln -s ../../%{_lib}/oracle/%{icversion}/client/lib/ojdbc14.jar $RPM_BUILD_ROOT/%{_javadir}/ojdbc14.jar
%endif

%if 0%{?rhel} && 0%{?rhel} < 6
%define tomcatname tomcat5
%else
%define tomcatname tomcat6
%endif
install -d $RPM_BUILD_ROOT%{_datadir}/%{tomcatname}/bin
install tomcat-setenv.sh $RPM_BUILD_ROOT%{_datadir}/%{tomcatname}/bin/setenv.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%ifarch x86_64 s390x
%{_bindir}/sqlplus
%{_libdir}/oracle
%endif
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_javadir}/ojdbc14.jar
%{_datadir}/%{tomcatname}/bin/setenv.sh
%if 0%{?suse_version}
%dir %{_datadir}/%{tomcatname}
%dir %{_datadir}/%{tomcatname}/bin
%endif

%post
ldconfig

# clear execstack on libs in oracle's provided instantclient rpm
find %{_prefix}/lib/oracle/%{icversion} \
        | xargs file | awk -F: '/ELF.*(executable|shared object)/ {print $1}' \
        | xargs execstack -c

%changelog
* Sat Jan 22 2011 mc@suse.de
- fix macros
* Tue Sep 14 2010 mantel@suse.de
- Initial release of oracle-lib-compat
